> For the complete documentation index, see [llms.txt](https://docs.autogon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autogon.ai/autogon-engine-studio/data-visualization/compare-scatter-plots-dp_csp.md).

# Compare Scatter Plots (DP\_CSP)

Scatter plots are a type of data visualization that display the relationship between two variables. Each point on the plot represents a pair of values for the two variables being compared. Scatter plots are useful for identifying patterns or trends in data, and for detecting outliers or unusual observations.

## Sample Request

This request reshapes the passed data to a specified dimension

```javascript
{
    "project_id": 1,
    "block_id": ,
    "parent_id": 0,
    "function_code": "DP_CSP",
    "args": {
        "avalue": "http://cloud.autogonai.s3.amazonaws.com/1a65c19c-b891-4be3-bbfe-ed5c5ec58207.csv",
        "bvalue": "http://cloud.autogonai.s3.amazonaws.com/143ac49a-7bbc-4224-a58e-d6811930b86b.csv",
        "xvalue": "http://cloud.autogonai.s3.amazonaws.com/143ac49a-7bbc-4224-a58e-d6811930b86b.csv",
        "yvalue": "http://cloud.autogonai.s3.amazonaws.com/1a65c19c-b891-4be3-bbfe-ed5c5ec58207.csv",
        "is_grid": true

    }
}
```

## Parameter Details

## Compare Scatter Plots

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

#### Request Body

| Name                                             | Type   | Description                                                                                                              |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| project\_id<mark style="color:red;">\*</mark>    | int    | current project ID                                                                                                       |
| parent\_id<mark style="color:red;">\*</mark>     | int    | parent block ID                                                                                                          |
| block\_id<mark style="color:red;">\*</mark>      | int    | current block ID                                                                                                         |
| function\_code<mark style="color:red;">\*</mark> | String | block's function code                                                                                                    |
| xvalue<mark style="color:red;">\*</mark>         | String | The input data representing the x-axis values on the first plot. This can be a string representing a URL to a CSV file.  |
| args                                             | object | block arguments                                                                                                          |
| yvalue<mark style="color:red;">\*</mark>         | String | The input data representing the y-axis values on the second plot. This can be a string representing a URL to a CSV file. |
| is\_grid                                         | Bool   | Whether to enable grid in the scatter plot. Default is `False.`                                                          |
| avalue                                           | String | The input data representing the x-axis values on the first plot. This can be a string representing a URL to a CSV file.  |
| bvalue                                           | String | The input data representing the y-axis values on the second plot. This can be a string representing a URL to a CSV file. |

{% tabs %}
{% tab title="200: OK Data Encode Successful" %}

```javascript
{
    "status": "true",
    "message": {
        "id": 3,
        "project": 1,
        "block_id": 7,
        "parent_id": 6,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": ""
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
projectId = 1
parentId = 6
blockId = 7

client.array_reshaping(projectId, parentId, blockId, {

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-visualization/compare-scatter-plots-dp_csp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
